/*
 *description : 单人评分拓展类
 *author :coyle
 *date ：20241210
*/
shr.defineClass("shr.perfweb.perfscoreNewEx", shr.perfweb.perfscoreNew, {
 
    initalizeDOM: function () {
        // 初始化JS环境
        it = this;
        that = this;
        shr.perfweb.perfscoreNewEx.superClass.initalizeDOM.call(this);

        
    },
 

    // 20241213等级切换时，更改选择框的title值
    levelSwitchChange: function () {
        $('select[name="_editGrades"],select[name="wholeGrade"]').die('change').live('change', function () {
            $(this).attr('title', $(this).find("option:selected").text());
            if($(this).find("option:selected").parent().attr("name") == 'wholeGrade'){
            	isEditGradesChange = 1;
            }
            var selectTitle = $(this).val();
            $('.workerList li.current').find("i[name='nodeGrade']").text(selectTitle);
            //获取点击元素的id
            var selectId = $(this).attr('id');
             
            getDefaultScoreData(gradeTaskNode,selectTitle);
        })

        $('input[id$="gradeORrejection"],input[id$="nodeGrade"]').die('change').live('change', function () {
        	calcTotoalScore(gradeTaskNode);
        })
    },


    

      /*
     * 评分保存事件
     * */
      saveScoreEvent: function () {
        var _self = this;
        $('#saveScore').unbind('click').bind('click', function () {
            let totalScoreVal = $("#totalScore").find("input").val();
            let selectTitle =  $('select[name="_editGrades"],select[name="wholeGrade"]').val();
         var scoreObj = _self.assembleScoreData();
         if(!scoreObj && scoreObj[0] == null){
            return false;
        }
        let evaObjVal =scoreObj[0].evaObj;
            var issok =  _checkScore(evaObjVal,selectTitle,totalScoreVal);
            if(issok){
                // $(lastTable).jqGrid("saveCell",lastrow,lastcell);// 防止评分未校验就保存了
                $('.scoretabs').each(function(index,tab){
                    $(tab).jqGrid('editStop');
                })
                that.doSaveScore('1', 0);
                //刷新正态分布列表
                that.getDistributionInfo();
            }else{
                shr.showWarning({
                    message:  "当前总分不在该等级范围内，请重新评分"
                    ,hideAfter:5});
            }
        });
    },


/*
     * 评分提交事件
     * */
submitScoreClickEvent: function () {
    $('#submitScore').unbind('click').bind('click', function () {
        var _self = this;
        let  totalScoreVal = $("#totalScore").find("input").val();
        let selectTitle =  $('select[name="_editGrades"],select[name="wholeGrade"]').val();
        var scoreObj = that.assembleScoreData();
        if(!scoreObj && scoreObj[0] == null){
            return false;
        }
        let evaObjVal =scoreObj[0].evaObj;
        var issok =  _checkScore(evaObjVal,selectTitle,totalScoreVal);
        if(!issok){
                shr.showWarning({
                    message:  "当前总分不在该等级范围内，请重新评分！"
                ,hideAfter:5});
            return false;
        }

        _gExistRejection = 0;
        // $(lastTable).jqGrid("saveCell",lastrow,lastcell);// 防止评分未校验就保存了
        $('.scoretabs').each(function(index,tab){
            $(tab).jqGrid('editStop');
        })
        if (gradeTaskNode == '') {
            shr.showWarning({message: jsBizMultLan.perf_perfscoreNew_1586255739735_i18n_12});
            return false;
        }
        if (_noPassVerifyArr.length > 0) {
            shr.showWarning({message: _noPassVerifyArr[0].errortext});
            //自动点击第一条评分不通过的指标
            $("input[indicator='" + _noPassVerifyArr[0].indicator + "']").focus();
            return false;
        }
        //组装评分数据
        var scoreObj = that.assembleScoreData('1');
        if(!scoreObj){
            return false;
        }
        //进行评分校验

        if (scoreObj[0].scoreError == true) {
            shr.showError({
                // message : '分数只能为整数或不超过2位的小数，请检查!',
                //12月补丁功能-天虹
                message : jsBizMultLan.perf_perfscoreNew_1586255739735_i18n_31,
                hideAfter: 3
            });
            return false;
        }
        if (scoreObj[0].targetValError) {
            shr.showError({
                message : jsBizMultLan.perfweb_perfscoreNew_20210917ht_01,
                hideAfter: 3
            });
            return false;
        }
        if (scoreObj[0].actValError) {
            shr.showError({
                message : jsBizMultLan.perfweb_perfscoreNew_20210917ht_02,
                hideAfter: 3
            });
            return false;
        }
        if (scoreObj[0].desError) {
            shr.showError({
                message : shr.formatMsg(jsBizMultLan.perf_perfscoreNew_1586255739735_i18n_48,
            [2000]),
                hideAfter: 3
            });
            return false;
        }
        if(globalErrorMsg.length > 0){
            for(var i=0; i<globalErrorMsg.length;i++){
                $('#scoreTab_'+globalErrorMsg[i].tabIndex).jqGrid('setCell', globalErrorMsg[i].fid, globalErrorMsg[i].colName, '', 'errorval');
            }
            
            // shr.showWarning({message : '必填字段不能为空，请检查'});
            shr.showWarning({message : jsBizMultLan.perf_perfscoreNew_20220826_i18n_1});
            return false;
        }
        //判断整体评价等级是否必填，如果必填则进行必录校验
        var ids = new Array();
        for (var i = 0; i < scoreObj.length; i++) {
            ids.push(scoreObj[i].gradeTaskNode);
        }

        //打总分校验总分必填
        if (_needScore == "3" && ($("#totalScore").find("input").val() == undefined || $("#totalScore").find("input").val().length < 1)) {
            var flag = sumSocreOnblur($("#totalScore").find("input"));
            if (!flag) {
                return;
            }
        }

        var canSubmitFlag = false;
        var scoremsg = '';
        var confirmMsg = '';
        var msg = '';
        var matrixDetail = "";
        var saveNodeSumScoreList;
        var marginTop = -(document.body.clientHeight/3);
        $.block.show({text :
            //'数据处理中,请稍后...'
            jsBizMultLan.perfweb_perfscoreNew_zw20201229_i18n_04
            ,marginTop:marginTop});
        //1、保存分数
        that.remoteCall({
            method: "saveScore",
            param: {
                needScore:_needScore,
                scoreObj: JSON.stringify(scoreObj)
            },
            async: false,
            success: function (data) {
                if (data != null && data.result == '200') {
                    nodeSumScore = data.nodeSumScore;
                    nodeGrade = data.nodeGrade;
                    matrixDetail = data.detail;
                    saveNodeSumScoreList = data.nodeSumScoreList;
                    var nodeSumScoreList = data.nodeSumScoreList;
                    var gtnLen = nodeSumScoreList.length;
                    for(var i=0; i<gtnLen; i++){
                        var nsumscore = nodeSumScoreList[i].nodeSumscore ? parseFloat(nodeSumScoreList[i].nodeSumscore).toFixed(2) : '';
                        // if(null != nsumscore && "" != nsumscore){
                             $('#wholeComment').find('span[gtnname="'+nodeSumScoreList[i].gradeTaskNode+'"] input').val(nsumscore);
                             $($("li[gradetasknode='" +nodeSumScoreList[i].gradeTaskNode+ "']").find("i[name='nodeSumScore']")).text(nsumscore);
                        // }else{
                        // 	 //$('#wholeComment').find('span[gtnname="'+nodeSumScoreList[i].gradeTaskNode+'"]').text("");
                        // }
                    }
                }
            }
        });

        var needrResult = null;
        //2、判断节点是否可被提交
        that.remoteCall({
            method: "judgeIsCanSubmit",
            param: {
                gradeTaskNode: ids.toString(),
                evaObj: evaObj,
                scoreObj: JSON.stringify(scoreObj)
            },
            async: false,
            success: function (result) {
                $.block.hide();
                canSubmitFlag=true;
                 needrResult =result;
                for (var i = 0; i < scoreObj.length; i++) {
                    var data = '';
                    for (var j = 0; j < result.length; j++) {
                        if (result[j].nodeId = scoreObj[i].gradeTaskNode) {
                            data = result[j];
                        }
                    }

                    if (data != null && data.canSubmit == true) {
                        if (scoreObj[i].wholeComment != null && scoreObj[i].wholeComment != undefined && scoreObj[i].wholeComment.length > 2000) {
                            shr.showWarning({
                                message:
                                    shr.formatMsg(jsBizMultLan.perf_perfscoreNew_1586255739735_i18n_53,
                                        [2000])
                            });
                            return false;
                        }
                        //判断整体评语是否必录，如果必录则进行必录校验
                        // BT-00580949 绩效管理--绩效工作台--考核目标填报、目标变更--编辑指标，评价标准填写数字，保存js会报错
                        if (scoreObj[i].wholeComment == '' || scoreObj[i].wholeComment == undefined || (scoreObj[i].wholeComment+'').trim().length < 1) {
                            var wholeCommentIsMustLen = _wholeCommentIsMustArr.length;
                            for(var m=0; m<wholeCommentIsMustLen; m++){
                                 if(_wholeCommentIsMustArr[m].gradeTaskNode == scoreObj[i].gradeTaskNode 
                                         && _wholeCommentIsMustArr[m].wholeCommentIsMust == 1){
                                     //shr.showWarning({message: '请填写当前节点整体评价中的评价内容！'});
                    shr.showWarning({message: jsBizMultLan.perf_perfscoreNew_1586255739735_i18n_39});
                                    $("#wholeComment").click();
                                    $("#curWholeComment").focus();
                                    canSubmitFlag = false;
                                    return false;
                                 }
                            }
                        }

                        //指标评语是否必录校验，如果必录则提示并定位到其中一条未录评语的指标
                        if(needrResult != null){
                            for(var n=0; n<needrResult.length; n++){
                                if(needrResult[n].isTargetComment == '1' && needrResult[n].unvalidTargetID.length>0){
                                    needrResult[n].unvalidTargetID.forEach(function(item){
                                        $('.scoretabs').jqGrid('setCell', item, 'FCOMMENT', null, 'errorval');
                                    })
                                    shr.showWarning({message : needrResult[n].targetCommentMsg});
                                    canSubmitFlag = false;
                                    return false;
                                }
                            }
                        }

                        //判断整体评价等级是否必填，如果必填则进行必录校验（矩阵考核需要根据节点进行判断）
                        var needScoreSize = _gneedScoreArr.length;
                        for(var j=0; j<needScoreSize; j++){
                            if(_gneedScoreArr[j].gradeTaskNode == scoreObj[i].gradeTaskNode 
                                    && _gneedScoreArr[j].indicatorComment == 1
                                    && _gneedScoreArr[j].perfGradeEvaluate == 1){
                                if (scoreObj[i].wholeGrade == '' || scoreObj[i].wholeGrade == undefined) {
                                //shr.showWarning({message: '请填写当前节点整体评价等级！'});
                shr.showWarning({message: jsBizMultLan.perf_perfscoreNew_1586255739735_i18n_38});
                                 canSubmitFlag = false;
                                return false;
                             }
                             }
                        }
                    } else {
                        shr.showWarning({message: data.msg});
                        return;
                    }
                }
                
                var resLen = result.length;
                var needMustCount = 0;
                for(var m=0; m<resLen; m++){
                  if(result[m].isNeedScore == '2' && result[m].unValidId.length>0){
                     needMustCount++;
                     shr.showWarning({message : result[m].msg});
                     $("li[numval='"+result[m].unValidId[0]+"']").mousedown();
                     canSubmitFlag =false;
                     return false;
                  }
                }
                if(needMustCount<1){
                    for(var n=0; n<resLen; n++){
                        if(result[n].isNeedScore == '1' && result[n].unValidId.length>0){
                            msg += result[n].msg
                            $("li[numval='"+result[n].unValidId[0]+"']").mousedown();
                            break;
                        }
                    }
                }
                if(saveNodeSumScoreList != undefined && saveNodeSumScoreList != null && saveNodeSumScoreList.length >= 2){

                    confirmMsg = jsBizMultLan.perf_perfscoreNew_1586255739735_i18n_10;
                    for(var i=0; i<saveNodeSumScoreList.length; i++){
                        var scoremsg = '';
                        //12月补丁功能-天虹，如果流程设置为不评分，则不提示评分信息
                        if (_needScore == '1' || _needScore == '2'|| _needScore == '3') {
                            if (saveNodeSumScoreList[i].nodeSumscore == null) {
                                saveNodeSumScoreList[i].nodeSumscore = "";
                            }
                            scoremsg = jsBizMultLan.perf_perfscoreNew_1586255739735_i18n_58 + saveNodeSumScoreList[i].nodeSumscore + '，';
                        }
                        if(matrixDetail != null && matrixDetail != ''){
                            confirmMsg = matrixDetail;
                        }else{
                            confirmMsg += saveNodeSumScoreList[i].nodeHandlerName + scoremsg;
                            //BT1422884 绩效工作台--评分--流程中勾选了不评等级，列表模式下提交时还是显示了等级（1.176 yanju_zhang）
                            for(var j=0; j<_gneedScoreArr.length;j++){
                                if(data.nodeId== _gneedScoreArr[j].gradeTaskNode){
                                    _perfGradeEvaluate = _gneedScoreArr[j].perfGradeEvaluate;
                                    break;
                                }
                            }
                            if(currentIsShowWholeGrade == 1 && _perfGradeEvaluate == 1){
                                confirmMsg += jsBizMultLan.perf_perfscoreNew_1586255739735_i18n_14 + saveNodeSumScoreList[i].nodeGrade + '，';
                            }
                        }
                    }
                }else{
                    //12月补丁功能-天虹，如果流程设置为不评分，则不提示评分信息
                    var scoremsg = '';
                    if (_needScore == '1' || _needScore == '2'|| _needScore == '3') {
                        if (nodeSumScore == null) {
                            nodeSumScore = "";
                        }
                        scoremsg = jsBizMultLan.perf_perfscoreNew_1586255739735_i18n_58 + nodeSumScore + '，';
                    }
                    if(matrixDetail != null && matrixDetail != ''){
                        confirmMsg = matrixDetail;
                    }else{
                        confirmMsg = jsBizMultLan.perf_perfscoreNew_1586255739735_i18n_10 + scoremsg;
                        //BT1422884 绩效工作台--评分--流程中勾选了不评等级，列表模式下提交时还是显示了等级（1.176 yanju_zhang）
                        for(var j=0; j<_gneedScoreArr.length;j++){
                            if(data.nodeId== _gneedScoreArr[j].gradeTaskNode){
                                _perfGradeEvaluate = _gneedScoreArr[j].perfGradeEvaluate;
                                break;
                            }
                        }
                        if(currentIsShowWholeGrade == 1 && _perfGradeEvaluate == 1){
                            confirmMsg += jsBizMultLan.perf_perfscoreNew_1586255739735_i18n_14 +nodeGrade + '，';
                        }
                    }
                }

                if(null != msg && msg != undefined && msg != 'undefined' && '' != msg){
                    confirmMsg +=  msg;
                }              
                if(_gExistRejection == 1){
                    //confirmMsg += '存在否决项，将直接影响绩效最终得分！';
        confirmMsg += jsBizMultLan.perf_perfscoreNewJuicer_1592900104294_i18n_9;
                }
                //confirmMsg += '您确认提交吗？';
        confirmMsg += jsBizMultLan.perf_perfscoreNew_1586255739735_i18n_33;
                if(!canSubmitFlag){
                    return false;
                }

                shr.showConfirm(confirmMsg, function () {
                    //$.block.show({text : '数据处理中,请稍后...',marginTop:marginTop});
        $.block.show({text : jsBizMultLan.perfweb_perfscoreNew_zw20201229_i18n_04,marginTop:marginTop});
                    // var isAutoSubmitVal = $("#isAutoSubmit").text();
                    // var isAutoSubmit = false;
                    // if (isAutoSubmitVal == 'true') {
                    //     isAutoSubmit = true;
                    // }
                    //3、提交
                    that.remoteCall({
                        method: "submitScore",
                        param: {
                            scoreObj: JSON.stringify(scoreObj),
                            // isAutoSubmit: isAutoSubmit
                        },
                        async: false,
                        success: function (data) {
                            $.block.hide();
                            if (data != null && data.result == '200') {
                                scoreStatus = '2';
                                if (_gscoreOrRate == 0) {//评分
                                    $("input[name='evaScore']").attr("disabled", "disabled");
                                } else {
                                    $("select[name='_editGrades']").attr("disabled", "disabled");
                                }
                                if(!entryType){
                                    $("li[workerid='" +evaObj+ "']").remove();
                                    shr.showInfo({message: data.msg});
                                    if ($('.workerList').find('li').length == 0) {
                                        // ==================================================================================
                                        /**
                                         * 组织考核返回组织目标评价页面,个人考核返回团队个人目标评价页面
                                         * modified by Janeou_xie 2020/11/12
                                         */
                                        if(isOrg == "1"){
                                            that.reloadPage({
                                                uipk: 'com.kingdee.shr.perfweb.app.perfBatchScore4Org.core',
                                                serviceId : decodeURIComponent("fUjSqQK1RouZaEJUI2jH5vI9KRA%3D"),
                                                personId : personId
                                            })
                                        }else {
                                            that.reloadPage({
                                                uipk: 'com.kingdee.shr.perfweb.app.perfBatchScore.core',
                                                serviceId : decodeURIComponent("fUjSqQK1RouZaEJUI2jH5vI9KRA%3D"),
                                                personId : personId
                                            });
                                        }
                                        // ==================================================================================
                                        return;
                                    }else{
                                         $(".workerList>li")[0].click();
                                         evaObj = $($(".workerList>li")[0]).attr("workerid");
                                    }
                                 }else if(entryType = 'myselfEvalu'){
                                     shr.showInfo({message: data.msg});
                                    that.reloadPage({
                                       uipk: 'com.kingdee.shr.perfweb.app.perfportal.core',
                                       serviceId : decodeURIComponent("fUjSqQK1RouZaEJUI2jH5vI9KRA%3D"),
                                    });
                                 }
                            } else {
                                shr.showWarning({message: data.msg});
                            }
                        }
                    });
                });
            }
        });
    });
},




    _getGridParams: function(tabIndex,msgdata){
        var area = globalIndicatorData.rows.evaAreaList;
        var myModel = [];
        var myName = [];
        var indicator = area[tabIndex].evaIndicatorList || area[tabIndex].evaRecordList;
        var areaNeedScore = area[tabIndex].needScore;
        var fieldList = area[tabIndex].fieldList;
        var tabData = [];
        var isExistComment = 0;
        var thisIsRejection = that.judgeIsRejection(indicator);    // 该区域指标是否含有否决项
        var thisAllIsRejection = that.judgeAllIsRejection(indicator); // 该区域指标是否都是否决项
        var scoreOrRate = globalIndicatorData.scoreOrRate;  // 0：打分，1：打等级
        //var curScoreMsg = indicator.length > 0 ? it.getCurrentAndPrevScoreMsg(indicator[0].FID) : [];   // 当前节点打分信息
        var curScoreMsg = that._getCurrentScoreLevel();
        // 指标评语是否必填
        var isTargetComment = that.judgeCommentIsRequired(msgdata, area, tabIndex);
        var scoreTipsText = '';

        that.getGradeOption(curScoreMsg);
        // 打分字段单独处理
        var myScoreName='';
        var myScoreModel={};
        for (var i = 0; i < fieldList.length; i++) {
            var fieldName = fieldList[i].colName;
            var fieldMaintenanceShow = fieldList[i].fieldMaintenanceShow;
            var fieldShowLocation = fieldList[i].fieldShowLocation;
            var fieldType = fieldList[i].fieldType;
            var canEditField = canEditTable && fieldList[i].fieldMaintenanceStage !== '100';
            var isHidden = fieldShowLocation === '10' ? false : true;
            var fillOverwrite = '';
            var required = fieldList[i].required && canEditField;
            var classes = '';
            if(fieldName === 'FCOMMENT'){
                required = canEditField && isTargetComment === '1';
            }else if(fieldName === 'FSCORE'){
                required = canEditField && area[tabIndex].needScore === '2';
            }
            if(fieldName.indexOf('FEXTEND') > -1){  // 扩展字段匹配可维护流程级数
                canEditField = canEditTable && (fieldMaintenanceShow === '0' || fieldMaintenanceShow === '1');
                isHidden = fieldMaintenanceShow === '3';
                fillOverwrite = fieldList[i].fillOverwrite;
                required = canEditField && fieldMaintenanceShow === '1';
            }
            if(canEditTable && !canEditField){
                classes = 'disabled';
            }else if(required){
                classes = 'required';
            }

            if(fieldName == 'FWEIGHT' && hideWeight()){
                isHidden = true;
            }
            
            // 分数
            if(fieldName == "FSCORE"){  
                if(!thisAllIsRejection){
                    // 打分、选是否存在混合字段列
                    if((scoreOrRate == 0 || (scoreOrRate == 1 && area[tabIndex].subAreaType == '1')) && thisIsRejection){
                        //myName.push('评分/是否存在');
                        myName.push(jsBizMultLan.perfweb_perfscoreNew_zw20201229_i18n_05);
                        myModel.push({
                            name: 'scoreORrejection', 
                            index: 'scoreORrejection', 
                            width: 100, 
                            align: "left", 
                            sortable: true,
                            editable: canEditField,
                            required: required,
                            classes: classes,
                            hidden:entryType === 'viewEvaForm' ? true :false
                        });
                    }
                    //参数控制打分字段隐藏显示
                    if (hideUnselfScore=='false' && pageSource == 'PERSONHISTORY'){
                        myScoreName=fieldList[i].showName;
                        myScoreModel={
                            name: fieldName,
                            index: fieldName,
                            width: 70,
                            align: "left",
                            sortable: true,
                            editable: canEditField,
                            required: required,
                            classes: classes,
                            // formatter: 'numberField'
                            // hidden: false // 已评分默认显示评分列
                            hidden: true, // 20250310
                        }
                    }else if (scoreOrRate == 0 || (scoreOrRate == 1 && area[tabIndex].subAreaType == '1')){
                        myName.push(fieldList[i].showName+'\<span\ class="score-tips">\<\/span\>');
                        myModel.push({
                            name: fieldName,
                            index: fieldName,
                            width: 70,
                            align: "left",
                            sortable: true,
                            editable: canEditField,
                            required: required,
                            classes: classes,
                            // formatter: 'numberField'
                            //hidden: entryType === 'viewEvaForm' ? true : (thisIsRejection ? true : false), // 既有打分又有否决项指标的区域，隐藏打分列，显示混合字段列
                            hidden: true, // 20250310
                        });
                    }
                }
                // 组装表格字段名称属性
                if(scoreOrRate == 1 && !thisAllIsRejection && thisIsRejection && area[tabIndex].subAreaType !== '1'){ // 打等级、选是否存在混合字段列
                    //myName.push('等级/是否存在');
                    myName.push(jsBizMultLan.perfweb_perfscoreNew_zw20201229_i18n_06);
                    myModel.push({
                        name: 'gradeORrejection', 
                        index: 'gradeORrejection', 
                        width: 100, 
                        align: "left", 
                        sortable: true,
                        editable: canEditTable,
                        hidden:entryType === 'viewEvaForm' ? true :false
                    });
                }
                if(scoreOrRate == 1 && !thisAllIsRejection && area[tabIndex].subAreaType !== '1'){ // 既有打等级又有否决项指标的区域，隐藏等级列，显示混合字段列
                    //myName.push('等级');
                    myName.push(jsBizMultLan.perfweb_perfscoreNew_zw20201229_i18n_07);
                    myModel.push({
                        name: 'nodeGrade',
                        index: 'nodeGrade',
                        width: 100,
                        align: "left",
                        sortable: true,
                        editable: canEditTable,
                        edittype: 'shrselect',
                        editoptions: {
                            selectJson: {
                                data: gradeOption
                            },
                            enumSource: {
                                data: gradeOption
                            }
                        },
                        formatter: 'shrtext',
                        // hidden: entryType === 'viewEvaForm' ? true : (thisIsRejection|| areaNeedScore=='0'  ? true : false)
                        hidden:true
                    });
                }
            }
            // 定性/定量、可见性、否决项
            else if(fieldName == "FQUALIORRATION" || fieldName == 'FISVISIBLE' || fieldName == 'FREJECTION'){
                myName.push(fieldList[i].showName);
                myModel.push({name:fieldName, index:fieldName, width:10, hidden:true});
                if(fieldName == "FREJECTION" && thisIsRejection){   // 否决项
                    myName.push(
                        //'是否存在'
                        jsBizMultLan.perfweb_perfscoreNew_zw20210105_i18n_01
                    );
                    myModel.push({
                        name: 'isRejection', 
                        index: 'isRejection', 
                        width: 100, 
                        align: "left", 
                        sortable: true,
                        editable: canEditField,
                        edittype: 'shrselect',
                        required: required,
                        classes: classes,
                        editoptions: {
                            selectJson: {
                                //data: [{value:"0",alias:"否",isenum:false},{value:"1",alias:"是",isenum:false}],
                                data: [{value:"0",alias:jsBizMultLan.perfweb_perfscoreNew_zw20201229_i18n_09,isenum:false},{value:"1",alias:jsBizMultLan.perfweb_perfscoreNew_zw20201229_i18n_10,isenum:false}],
                                onChange: function(){
                                    var $this = $(this);
                                    if($this.shrSelect('getValue').value == '1'){
                                        //shr.showConfirm('若存在否决项，将直接影响最终得分，确定要选择吗？', function () {
                        shr.showConfirm(jsBizMultLan.perfweb_perfscoreNew_zw20201229_i18n_08, function () {
                                            calcTotoalScore(gradeTaskNode);
                                        },function(){
                                            $this.shrSelect('setValue','0');
                                        });
                                    }else{
                                        setTimeout(function(){
                                            calcTotoalScore(gradeTaskNode);
                                        },100)
                                    }
                                }
                            },
                            enumSource: {
                                //data: [{value:"0",alias:"否",isenum:false},{value:"1",alias:"是",isenum:false}]
                                data: [{value:"0",alias:jsBizMultLan.perfweb_perfscoreNew_zw20201229_i18n_09,isenum:false},{value:"1",alias:jsBizMultLan.perfweb_perfscoreNew_zw20201229_i18n_10,isenum:false}]
                            }
                        },
                        formatter: 'shrselect',
                        hidden: entryType === 'viewEvaForm' ? true : (thisAllIsRejection ? false : true),// 既有打等级或评分又有否决项指标的区域，隐藏否决项列，显示混合字段列
                    });
                }
                if(fieldShowLocation === '10' && fieldName !== 'FREJECTION'){
                    myName.push(fieldList[i].showName);
                    myModel.push({
                        name: fieldName+'Text', 
                        index: fieldName+'Text', 
                        width: 100, 
                        align: "left", 
                        sortable: true,
                        classes: canEditTable ? 'disabled': '',
                    });
                }
            }
            // 评分公式,用于判断定量指标是否有评分公式
            else if(fieldName == "FSCORINGFORMULA"){                   
                myName.push(fieldList[i].showName);
                myModel.push({
                    name: fieldName,
                    index: fieldName,
                    width: 120,
                    align: "left",
                    sortable: true,
                    editable: false,
                    required: required,
                    classes: classes,
                    hidden: fieldShowLocation === '10' ? false : true
                });
            }
            // 字段类型为是否、选择项
            else if(fieldShowLocation === '10' && (fieldType == 'Boolean' || fieldType == 'Select')){
                var fieldOptions = [];
                if(fieldType == 'Boolean'){
                    // [{value:"0",alias:"否",isenum:false},{value:"1",alias:"是",isenum:false}]
                    fieldOptions = [{value:"0",alias:jsBizMultLan.perfweb_perfscoreNew_zw20201229_i18n_09,isenum:false},{value:"1",alias:jsBizMultLan.perfweb_perfscoreNew_zw20201229_i18n_10,isenum:false}];
                }else{
                    var options = fieldList[i].options;
                    $.each(options,function(i,item){
                        fieldOptions.push({
                            value: item.key,
                            alias: item.value
                        })
                    })
                }
                myName.push(fieldList[i].showName);
                myModel.push({
                    name: fieldName, 
                    index: fieldName, 
                    width: 100, 
                    align: "left", 
                    sortable: true,
                    editable: canEditField,
                    edittype: 'shrselect',
                    required: required,
                    classes: classes,
                    editoptions: {
                        selectJson: {
                            data: fieldOptions,
                            onChange: function(){
                            }
                        },
                        enumSource: {
                            data: fieldOptions
                        }
                    },
                    formatter: 'shrselect',
                    hidden: isHidden ,
                });
            }
            // 字段类型为长文本 + 实际完成值、目标值 
            else if(fieldShowLocation === '10' && (fieldType == 'LongText' || fieldName == 'FACTUALCOMPLEVALUE' || fieldName == 'FTARGETVALUE')){                        
                isExistComment = fieldName == "FCOMMENT" ? 1 : 0;
                var fw = 400;
                if(fieldName == 'FNAME' || fieldName == 'FKEYITEM'){
                    fw = 150;
                }
                myName.push(fieldList[i].showName);
                myModel.push({
                    name: fieldName, 
                    index: fieldName, 
                    width: fw, 
                    align: "left", 
                    sortable: true,
                    editable: canEditField,
                    edittype: 'wafTextArea',
                    fillOverwrite: fillOverwrite,
                    hidden: (entryType === 'viewEvaForm' && fieldName == "FCOMMENT") || isHidden ? true : false,
                    required: required,
                    classes: classes,
                    formatter: function(val,msg){
                        return '<div class="cell-height scrollbarthin">'+(val?val:'')+'</div>';
                    }
                });
            }
            // 字段类型为短文本、数字
            else if(fieldShowLocation === '10' && (fieldType == 'Text' || fieldType == 'Number')){
                myName.push(fieldList[i].showName+(fieldName == "FWEIGHT" ? '（%）' : ''));
                myModel.push({
                    name: fieldName,
                    index: fieldName,
                    width: fieldList[i].fieldType === 'Text' ? 120 : 90,
                    align: "left",
                    sortable: true,
                    editable: canEditField,
                    hidden: isHidden, 
                    fieldType: fieldType,
                    fillOverwrite: fillOverwrite,
                    required: required,
                    classes: classes,
                    formatter: function(val,msg){
                        var text = val;
                        var fieldType = msg.colModel.fieldType;
                        if(fieldType === 'Text'){
                            text = '<div class="cell-height scrollbarthin">'+val+'</div>';
                        }
                        return text;
                    }
                });
            }
            // 字段类型为日期
            else if(fieldShowLocation === '10' && (fieldType == 'Date' || fieldType == 'Time' || fieldType == 'TimeStamp')){
                if(fieldShowLocation === '10'){
                    myName.push(fieldList[i].showName);
                    myModel.push({
                        name: fieldName,
                        index: fieldName,
                        width: 100,
                        align: "left",
                        sortable: true,
                        editable: canEditField,
                        edittype: 'shrDateTimePicker',
                        hidden : isHidden,
                        fieldType: fieldType,
                        required: required,
                        classes: classes,
                        editoptions: {
                            datepickerjson: {
                                ctrlType: fieldType
                            }
                        },
                        formatter: function(val,msg){
                            return window.dateTimePickerService.transformUTCDate(val,true,'',{ctrlType: msg.colModel.fieldType})
                        }
                    });
                }
            }
            // 其他默认显示在列表的字段
            else if(fieldShowLocation === '10'){       
                var fw = 120;
                if(fieldList[i].fieldType === 'LongText'){
                    fw = 300;
                }            
                myName.push(fieldList[i].showName);
                myModel.push({
                    name: fieldName, 
                    index: fieldName, 
                    width:fw, 
                    align: "left", 
                    sortable: true,
                    hidden: isHidden,
                    fieldType: fieldType,
                    classes: canEditTable ? 'disabled': '',
                    formatter: function(val,msg){
                        var text = val;
                        var fieldType = msg.colModel.fieldType;
                        if(typeof val === "object"){
                            text = val.name;
                        }else if(fieldType === 'Text' || fieldType === 'LongText' || fieldType === 'Unknown'){
                            text = '<div class="cell-height scrollbarthin">'+val+'</div>';
                        }else if(fieldType == 'Boolean'){
                            text = val === '0' ? jsBizMultLan.perfweb_perfscoreNew_zw20201229_i18n_09 : jsBizMultLan.perfweb_perfscoreNew_zw20201229_i18n_10;
                        }else if(fieldType == 'Date' || fieldType == 'Time' || fieldType == 'TimeStamp'){
                            text = window.dateTimePickerService.transformUTCDate(val,true,'',{ctrlType: msg.colModel.fieldType});
                        }
                        return text;
                    }
                });
            }
            // 扩展字段加上是否覆盖填写字段值
            if(fieldName.indexOf('FEXTEND') > -1 && fieldShowLocation === '10'){
                myName.push('fillOverwrite');
                myModel.push({name:'fillOverwrite_'+fieldName, index:'fillOverwrite_'+fieldName, width:10, hidden:true});
            }
        }
        //打分字段后置，放在操作前面
        if (hideUnselfScore=='false' && pageSource == 'PERSONHISTORY' && !thisAllIsRejection){
            myName.push(myScoreName);
            myModel.push(myScoreModel);
        }

        var otherFieldName = jsBizMultLan.perfweb_perfscore_1637291044_i18n_01 ;
        //当前页面类型:评分页面:'1',查看考核历史页面:'2',专业应用查看评估表:'3'
        if(pageSource !=undefined && pageSource=="PERSONHISTORY"){
            otherFieldName = jsBizMultLan.perfweb_perfscore_1637291044_i18n_02 ;
        }
         else if(pageSource == undefined && viewMode ==undefined){
            otherFieldName = jsBizMultLan.perfweb_perfscore_1637291044_i18n_01 ;
        }
        else if(pageSource  !=undefined && (viewMode == 'viewEvaReport' || viewMode == 'viewAllEffective')){
            otherFieldName = jsBizMultLan.perfweb_perfscore_1637291044_i18n_02 ;
        }

        myName.push('FID','canEdit','canNegative','canVeto','gradeTaskNode','canOverSumRange','lowLimit','uperLimit','overRange',
            //'操作'
            /*jsBizMultLan.perf_perfscoreNewJuicer_1586255741045_i18n_2,*/otherFieldName,jsBizMultLan.perfweb_perfscore_1637291044_i18n_01,'subAreaType','areaAddSub','areaAddSubDown','areaAddSubUp','targetAddSub','targetAddSubDown','targetAddSubUp'
        );
        myModel.push(
            {name:'id', index:'id', width:10, hidden:true},
            {name:'canEdit', index:'canEdit', width:10, hidden:true},
            {name:'canNegative', index:'canNegative', width:10, hidden:true},
            {name:'canVeto', index:'canVeto', width:10, hidden:true},   // 判断是否可以打否决项canVeto = 2时可以
            // {name:'otherScoreList', index:'otherScoreList', width:10, hidden:true},
            {name:'gradeTaskNode', index:'gradeTaskNode', width:10, hidden:true},
            {name:'canOverSumRange', index:'canOverSumRange', width:10, hidden:true},
            {name:'lowLimit', index:'lowLimit', width:10, hidden:true},
            {name:'uperLimit', index:'uperLimit', width:10, hidden:true},
            {name:'overRange', index:'overRange', width:10, hidden:true},
            // {name: 'operation', index: 'operation', width: 60, align: "center", sortable: false, formatter: function(){
            //     //var btntext = '查看其他人评分';
		    //     var btntext = jsBizMultLan.perfweb_perfscoreNew_zw20201229_i18n_11;
            //     if(entryType === 'viewEvaForm'){
            //         //btntext = '查看评分详情';
		    //         btntext = jsBizMultLan.perfweb_perfscoreNew_zw20201229_i18n_12;
            //     }
            //     return '<a class="view_other_btn" href="javascript:;">'+btntext+'</a>'
            // },},
            {name:'preNodeScoreList', index:'preNodeScoreList', width:100, hidden:true},
            //按项目需求隐藏其他人评分
            {name:'nodeInfoList', index:'nodeInfoList', width:180, hidden: true,classes: canEditTable ? 'disabled': '',formatter: function(value,mmodel,rowData){
                // hideUnselfScoring === 'true' ? true : false
                var nodeInfoList = rowData.nodeInfoList ? JSON.parse(rowData.nodeInfoList) : [];
                var flag = false;
                $.each(nodeInfoList, function(i, data){
                    if(hideUnselfScoring === "false" || (hideUnselfScoring === "true" && data.nodeHandlerId === personId)){
                        if(data.comment){
                            flag = true;
                            return false;
                        }
                    }
                })
                var temp = [
                    '<div class="expend-td-box cell-height scrollbarthin">',
                    '<ul class="other-msg">',
                    '{@each rows as item,i}',
                        // BT-00650981 绩效工作台—组织/员工目标评分——列表页面：其他评分人信息 打等级的就显示等级，后面多一个“分”字
                        // 判断是打等级还是打分，不同展示  jianyu_zhang 2022.02.10
                        '{@if hideUnselfScoring === "false" || (hideUnselfScoring === "true" && item.nodeHandlerId === personId)}',
                        '<li class="node-name">',
                            '{@if item.nodeName}（${item.nodeName}）{@/if}${item.handlerName}：',
                            '{@if isRejection == 1 }',
                                '${item.isRejection.alias} ',
                            '{@else}',
                                '{@if item.needScore != "0"}',// 增加评分展示控制，不评分的不展示分数（包括定量指标）
                                    '{@if item.score !== undefined && item.score !== null && item.score !== ""}',
                                         //分
                                        '${item.score}'+ jsBizMultLan.perfweb_perfscoreNew_ht_20220419_20,
                                    '{@else if item.gradeRank != undefined && item.gradeRank != null && item.gradeRank != ""}',
                                        '${item.gradeRank}',
                                    '{@/if}',
                                '{@/if}',
                            '{@/if}',
                        '</li>',
                        '{@/if}',
                        //指标评语
                        '{@if item.comment}',
                        '<li>',
                            '<span class="expend-td-comment-field" title="${item.comment}">'+jsBizMultLan.perfweb_perfscoreNew_ht_20220414_36+'：</span>',
                        '</li>',
                        '<li class="expend-td-comment"><pre class="textOverflow3">${item.comment}</pre></li>',
                        '{@/if}',
                        '{@each fieldList as it,j}',
                            '{@if it.colName.indexOf("FEXTEND") > -1 && it.fieldMaintenanceShow !== "3" && it.fillOverwrite === "0"}',
                            '<li field-type="${it.fieldType}">',
                                '<span class="" title="${it.showName}">${it.showName}：</span>',
                                '{@if item[it.colName]}',
                                '<pre class="textOverflow3">${item[it.colName]}</pre>',
                                '{@/if}',
                            '</li>',
                            '{@/if}',
                        '{@/each}',
                        
                    '{@/each}',
                    '</ul>',
                    '</div>',
                    flag ? '<div class="expend-btn"></div>': ''
                ].join('');
                var tempDom = juicer(temp,{rows: nodeInfoList,isRejection: rowData.FREJECTION,hideUnselfScoring: pageSource === 'PERSONHISTORY'? 'false': hideUnselfScoring,personId: personId,fieldList: rowData.currIndiDetail.fieldList});
                return tempDom;
            }},
            {name:'subAreaType', index:'subAreaType', width:10, hidden:true},
            {name:'areaAddSub', index:'areaAddSub', width:10, hidden:true},
            {name:'areaAddSubDown', index:'areaAddSubDown', width:10, hidden:true},
            {name:'areaAddSubUp', index:'areaAddSubUp', width:10, hidden:true},
            {name:'targetAddSub', index:'targetAddSub', width:10, hidden:true},
            {name:'targetAddSubDown', index:'targetAddSubDown', width:10, hidden:true},
            {name:'targetAddSubUp', index:'targetAddSubUp', width:10, hidden:true}
        );
        if(isExistComment == 1){
            myName.push('commentName');     // 存储指标评语名称字段
            myModel.push({name:'commentName', index:'commentName', width:10, hidden:true});
        }
        // 组装数据
        var myData = that._getMyData(indicator,scoreOrRate,area,tabIndex,msgdata,fieldList,areaNeedScore);
        tabData = myData.tabData;
        scoreTipsText = myData.scoreTipsText;
        
        // var showFieldWidth = 0;
        // myModel.forEach(function(item){
        //     if(!item.hidden){
        //         showFieldWidth += item.width;
        //     }
        // })
        // var shrinkToFit = showFieldWidth < $('.scoretabwrap').eq(0).width() ? true : false;

        var showFieldWidth = 0;
        var show_count = 0,text_count = 0;
        var tabwidth = $('.scoretabwrap').eq(0).width();
        myModel.forEach(function(item){
            if(!item.hidden){
                showFieldWidth += item.width;
                show_count ++;  // 默认显示字段个数
                if(item.edittype == "wafTextArea" || (item.edittype == "shrtext" && item.fieldType == 'Text')){
                    text_count ++ ; // 文本类型字段个数
                }
            }
        })
        var shrinkToFit = showFieldWidth < tabwidth ? true : false;
        if(shrinkToFit){
            var w1 = tabwidth - showFieldWidth - 34 - show_count * 6;      // 可按比例分配宽度 34:复选框列 6：单元格左右内边距
            var w2 = (w1/text_count).toFixed(2) - 6;           // 每个长文本可分配的宽度
            if(w1 != 0){
                myModel.forEach(function(item, i){
                    if(!item.hidden && item.name != 'nodeInfoList' && (item.edittype == "wafTextArea" || (item.edittype == "shrtext" && item.fieldType == 'Text'))){
                        myModel[i].width = myModel[i].width + Number(w2); // 新列宽
                    }
                })
            }
        }

        return {
            tabData: tabData,
            myName: myName,
            myModel: myModel,
            shrinkToFit: that.getShrinkToFit(shrinkToFit),
            scoreTipsText: scoreTipsText
        };   
    },




    //生成整体评价区域
    createWholeCommentHtml: function (data) {
        var wholeCommentHtml = '<div id="wholeCommentDiv" class="scoreContentboxWholeComment">';
        var controlAreaHtml = '<div class="othersScoreBox">';
        var currentWholeGrade = '';
        _gneedScoreArr = new Array();
        // var hideNodeWeight = $('#hideNodeWeight').text();

        if (data != null && data.length > 0) {
            var isShowWholeGrade = 0;
            for (var i = 0; i < data.length; i++) {
                var wholeCommentEdithtml = '';
                var _data = data[i];
                //
                var selectOptionArr =  _data.levelSelectVal;
                //selectOptionArr中所有"含"字去除 20241213
                var selectOptionArrWithoutScoreRange = new Array();
                for(var j=0;j<selectOptionArr.length;j++){
                    if(selectOptionArr[j].indexOf("含") == -1){
                        selectOptionArrWithoutScoreRange.push(selectOptionArr[j]);
                    }
                }  
                //将去除"含"字后的selectOptionArr赋值给_data.levelSelectVal
                _data.levelSelectVal = selectOptionArrWithoutScoreRange.join("");
                

                isShowWholeGrade = _data.isShowWholeGrade; //获取当前节点是否可显示总分和总体评价
                _perfGradeEvaluate = _data.perfGradeEvaluate; //整体评价等级是否允许评定
                var _needScore = _data.needScore; //是否允许评分
                var needScoreObj = new Object();
                needScoreObj.gradeTaskNode = _data.gradeTaskNode;
                needScoreObj.needScore = _needScore;
                needScoreObj.indicatorComment = _data.indicatorComment;
                needScoreObj.perfGradeEvaluate = _perfGradeEvaluate;
                _gneedScoreArr.push(needScoreObj);
                 
                if (data[i].canEdit == 1) { //当前节点可评价
                	  currentIsShowWholeGrade = isShowWholeGrade; //记录当前评分人是否可评总体评价
                      _perfGradeEvaluate = _data.perfGradeEvaluate;
                      // 重新定义一个新的变量，标识当前任务节点能否打等级，_perfGradeEvaluate赋值，使用到的地方太多了，可能会出问题 modified by Janeou_xie
                      isShowDistribution = _data.perfGradeEvaluate
                      _wholeComment = _data.wholeCommentIsMust;
                      //currentWholeGrade = data[i].wholeGrade;
                      currentWholeGrade = _data.scoreToLevel;
                      
                    wholeCommentEdithtml = wholeCommentEdithtml
                        + '<label name ="WholenodeHandlerId" value="' +data[i].nodeHandler+ '"></label>'
                        + '<span class="left textOverflow">' +_data.nodeName;

                    //yien 判断是否展示处理人权重
                    if(hideNodeWeight != 'true'){  
                        wholeCommentEdithtml += '（'+_data.nodeWeight + '%）';
                    }
                    wholeCommentEdithtml = wholeCommentEdithtml + (_data.nodeHandlerName == '' ? '：' : '：'+_data.nodeHandlerName );
                    wholeCommentEdithtml = wholeCommentEdithtml + '（' + _data.personNodeWeight + '%）';
                    wholeCommentEdithtml += '</span>';

                    //判断是否可评价总分和等级
                    if (isShowWholeGrade) {
                    	var wholeScoreTmp = '';
                    	if(_needScore == '1' || _needScore == '2'|| _needScore == '3'){
                    		wholeScoreTmp = _data.wholeScore;
                    	}
                        var disabledClass = 'disabled="disabled"';
                        if (_needScore == '3') {
                            disabledClass = '';
                        }
                  
                        wholeCommentEdithtml += '<div name="editScoreDiv" class="row1 paddingbox">';

                        if (_perfGradeEvaluate == '1') {//允许打整体评价等级
                            //wholeCommentEdithtml = wholeCommentEdithtml + '<label>等级：</label><span class="selectwrap">';
			    wholeCommentEdithtml = wholeCommentEdithtml + '<label>'+jsBizMultLan.perf_perfscoreNew_1586255739735_i18n_14+'</label><span class="selectwrap">';
                        } else {
                            //wholeCommentEdithtml = wholeCommentEdithtml + '<label style="display:none">等级：</label><span class="selectwrap" style="display:none">';
			    wholeCommentEdithtml = wholeCommentEdithtml + '<label style="display:none">'+jsBizMultLan.perf_perfscoreNew_1586255739735_i18n_14+'</label><span class="selectwrap" style="display:none">';
                        }
                        wholeCommentEdithtml = wholeCommentEdithtml + '<select name="wholeGrade" id ="wholeGrade_' + _data.gradeTaskNode + '">'
                            + '<option id="blackOp"></option>';
                        var levelSelectValue = _data.levelSelectVal; //等级下拉选值value
                        var levelSelectKey = _data.levelSelectKey; //等级下拉选key
                        var selectOptionArr = new Array();
                        var selectOptionKeyArr = new Array();
                        if (levelSelectValue != null && levelSelectValue != '') {
                            selectOptionArr = levelSelectValue.split(",");
                            selectOptionKeyArr = levelSelectKey.split(",");
                        }
                        for (var j = 0; j < selectOptionArr.length; j++) {
                            //yien 20191122 天虹私包 
                            var _selectOptionKeyArr = selectOptionKeyArr[j];
                            var _selectOptionArr = selectOptionArr[j];
                            //不显示分数范围
                            if (isShowLevelScoreRange == 0) {
                                _selectOptionArr = getLevelWidthoutScoreRange(_selectOptionArr);
                            }
                            wholeCommentEdithtml = wholeCommentEdithtml + '<option id="' + _selectOptionKeyArr + '" value="' + _selectOptionKeyArr + '" title="' + _selectOptionArr + '">' + (_selectOptionArr) + '</option>';
                        }
                        wholeCommentEdithtml = wholeCommentEdithtml + '</select>'
                            + '</span>';

                                  // 评分流程节点设置不能评分，则隐藏总分 modify by janeou
                        //20241213 <input '+ disabledClass +' id ="wholeScore_' + _data.gradeTaskNode 去除 disabledClass
                        //var totalScoreDiv = _needScore == '0' ? '':'<div class="right">总分：<span id="totalScore" ' +
			var totalScoreDiv = _needScore == '0' ? '':'<div class="right">'+jsBizMultLan.perf_perfscoreNew_1586255739735_i18n_58+'<span id="totalScore" ' +
            'gtnname="'+_data.gradeTaskNode+'"><input   id ="wholeScore_' + _data.gradeTaskNode + '" data-needScore="'+_needScore+'" value="'+wholeScoreTmp+'"> '  + '</input></span>';
        totalScoreDiv = totalScoreDiv + '<div style="padding-left:1%"><span class="shorterinpwrap" id="MSG_SUMSCORE" style="max-width:300px;color:red"></span></div>';
        wholeCommentEdithtml += totalScoreDiv ;
        if (data[i].isVetoZero == 1) {
            //wholeCommentEdithtml += '<span class="vetomsg">存在否决项</span></div>';
wholeCommentEdithtml += '<span class="vetomsg">'+jsBizMultLan.perf_perfscoreNew_1586255739735_i18n_3+'</span></div>';
        } else {
            //wholeCommentEdithtml += '<span class="vetomsg" style="display:none">存在否决项</span></div>';
wholeCommentEdithtml += '<span class="vetomsg" style="display:none">'+jsBizMultLan.perf_perfscoreNew_1586255739735_i18n_3+'</span></div>';
        }
        wholeCommentEdithtml     += '</div>';
                    }


                    wholeCommentEdithtml = wholeCommentEdithtml + '<div name="editTextareaDivForWholeComment" gradeNode="' + _data.gradeTaskNode + '" class="row1 paddingbox longeditbox">'
                        + '<label>'+
                        jsBizMultLan.perf_perfscoreNew_1586255739735_i18n_34+
                        '</label>';

                    //yien：处理合并打分节点问题
                    combineGradeTaskIds.push(_data.gradeTaskNode);

                    if (_wholeComment == '1') {
                        wholeCommentEdithtml = wholeCommentEdithtml + '<span class="longinpwrap evaluate"><textarea id="curWholeComment" class="paddingbox required" onblur="wholeCommentOnblur(this)">' + data[i].wholeComment + '</textarea></span>';
                        wholeCommentEdithtml += '<span class="shorterinpwrap" id="WHOLECOMMENT" style="width:300px;color:red;padding-left:75px;display: none;font-size: 12px;"></span>';
                    } else {
                        wholeCommentEdithtml = wholeCommentEdithtml + '<span class="longinpwrap evaluate"><textarea class="paddingbox" onblur="wholeCommentOnblur(this)">' + data[i].wholeComment + '</textarea></span>';
                        wholeCommentEdithtml += '<span class="shorterinpwrap" id="WHOLECOMMENT" style="width:300px;color:red;padding-left:75px;display: none;font-size: 12px;"></span>'
                    }
                    gradeTaskNode = _data.gradeTaskNode; //当前评估对象节点运行实例id
                    scoreStatus = _data.scoreStatus;
                    $('#wholeComment .details').append(wholeCommentEdithtml);

                } else {
                    if (_data.isVisible != '1') {
                        continue;
                    }
                    controlAreaHtml = controlAreaHtml + '<div class="cutting_line">'
                        + '<label name ="WholenodeHandlerId" value="' +data[i].nodeHandler+ '"></label>'
                        + '<span class="left textOverflow">' +  _data.nodeName;
                    //yien 增加判断是否展示处理人权重
                    if(hideNodeWeight != 'true'){ 
                        controlAreaHtml += '（'+ _data.nodeWeight + '%）';
                    }
                    controlAreaHtml = controlAreaHtml + (data[i].nodeHandlerName == '' ? '：' : '：'+data[i].nodeHandlerName );
                    controlAreaHtml = controlAreaHtml + '（' + _data.personNodeWeight + '%）';
                    controlAreaHtml += '</span>';
                    //判断是否显示总分和等级
                    if (isShowWholeGrade) {
                        //var scoreDivHtml = '<div name="wholeScore" class="right" isself="' +_data.isSelf+ '">总分：' + _data.wholeScore;
			var scoreDivHtml = '<div name="wholeScore" class="right" isself="' +_data.isSelf+ '">'+jsBizMultLan.perf_perfscoreNew_1586255739735_i18n_58 + _data.wholeScore;
                        //如果节点不能评分，隐藏总分
                        if (data[i].needScore == '0') {
                            scoreDivHtml = '<div>';//增加一个div标签，不然格局有问题，打分过程中隐藏评分人参数失败
                        }
                        controlAreaHtml += scoreDivHtml;

                        if (data[i].isVetoZero == 1) {
                		controlAreaHtml += '<span style="margin-left:5px;color:red">'+
	                        jsBizMultLan.perf_perfscoreNew_1586255739735_i18n_3+
	                        '</span></div>';
                        } else {
                            controlAreaHtml += '</div>';
                        }
                        controlAreaHtml += '<div name="editScoreDiv" class="row1 paddingbox" isself="' +_data.isSelf+ '">';
                        if (_perfGradeEvaluate == '1') {//允许打整体评价等级
                            controlAreaHtml = controlAreaHtml + '<label>'+
                                jsBizMultLan.perf_perfscoreNew_1586255739735_i18n_14+
                                '</label>'
                                + '<span style="float: left;">'
                                + (data[i].wholeGrade)
                                + '</span>'
                        }
                        controlAreaHtml = controlAreaHtml + '</div>';
                    }
                    controlAreaHtml = controlAreaHtml + '<div name="editTextareaDiv" class="row1 paddingbox">'
                        + '<label>'+
                        jsBizMultLan.perf_perfscoreNew_1586255739735_i18n_34+
                        '</label>'
                        + '<span class="longinpwrap evaluate"><textarea disabled="disabled" class="paddingbox" >' + _data.wholeComment + '</textarea></span>'
                        + '</div></div>';
                }
            }
        }
        controlAreaHtml = controlAreaHtml + "</div>";

        if (data.length == 1 && data[0].canEdit == 1) {
            $('.controller').hide();
        } else {
            wholeCommentHtml = wholeCommentHtml + controlAreaHtml;
            $(wholeCommentHtml).appendTo($('#wholeComment .scoreContentboxwrap'));
            //$('#wholeComment .controller').click();
        }
        if (data) {
            for (var i = 0; i < data.length; i++) {
                if (data[i].scoreToLevel) {
                    $('[id="wholeGrade_' + data[i].gradeTaskNode + '"]').find("option[id='" + data[i].scoreToLevel + "']").attr("selected", "selected");
                } else {
                    $('[id="wholeGrade_' + data[i].gradeTaskNode + '"]').find("option[id='" + data[i].wholeGrade + "']").attr("selected", "selected");
                }
                $('[id="wholeGrade_' + data[i].gradeTaskNode + '"]').attr('title', $('#wholeGrade').find("option:selected").text());
            }
        }
        if (currentWholeGrade == '') {
            blackOp = "blackOp";
        }
        that.spreadScore();
        $('.spreadothers').trigger('click');
        it.levelSwitchChange();
        //整体评价中是否允许修改等级
        if ( isManualJudgeGrade==2) {
            $("[name='wholeGrade']").attr("disabled", "disabled");
        }
        //总分校验
        $("#totalScore").find("input").blur(function () {
            sumSocreOnblur(this);
            /**
             * 自动计算等级
             */
            var grade = $("#wholeComment").find("select").val();
            //20241214去除自动计算; 输入什么要什么
            // if (isManualJudgeGrade == 2 || isManualJudgeGrade == 0) {
            //   //  var url = shr.getContextPath() + "/dynamic.do?handler=com.kingdee.shr.perfweb.portal.handler.PerfBatchScoreHandler&uipk="+shr.getUipk() +
            //     //    "&method=getLeaveByScore&shruicode="+shr.getUrlRequestParam("shruicode");
            //     that.remoteCall({
            //         method: "getLeaveByScore",
            //         async: false,
            //         param: {
            //             nodeSumScore:  $(this).val(),
            //             id:gradeTaskNode,
            //             shruicode:shr.getUrlRequestParam("shruicode")
            //         },
            //        // data: {"nodeSumScore": $(this).val(), "id": gradeTaskNode},
            //         success: function (data) {
            //             //这里的结果类似 {data: "差E"}
            //             console.log(data);
            //             if (data.data) {
            //                 $("#wholeComment").find("select").find('option').attr('selected', false);
            //                 $("#wholeComment").find("select").find("option[value='" + data.data + "']").attr('selected', true);
            //                 //$("#wholeComment").find("select").val(data.data);
            //                 $('.workerList li.current').find("i[name='nodeGrade']").text(data.data);
            //             }
            //         }
            //     });
            // }

        });

        //考核结果显示控制
        if(typeof initScoreDetailResultShow == 'function') {
            initScoreDetailResultShow();
        }
    },




    // 事件绑定
    bindEvent: function(){
        if (_needScore != "3") {
            //20241213
            // $("#totalScore").find("input").attr("disabled", "disabled");
        }
        // 查看其他人打分
        // $('.view_other_btn').die('click').live('click',function(){
        // 	var tabid = $(this).closest('table').attr('id');
        //     var rowid = $(this).closest('tr').attr('id');
        //     var rowData = $('#'+tabid).jqGrid('getOriginalRowData',rowid);
        //     var msgdata = it.getCurrentAndPrevScoreMsg(rowid);
        //     it.openOtherScoreDialog(msgdata,rowData);
        //     that.personHistoryParamControl();
        // })
        $('.expend-btn').die('click').live('click',function(){
            // var ul = $(this).closest('td').find('ul');
            // if(ul.hasClass('show-more')){
            //     ul.removeClass('show-more');
            // }else{
            //     ul.addClass('show-more');
            // }
            var pre = $(this).closest('td').find('pre');
            if(pre.hasClass('textOverflow3')){
                pre.removeClass('textOverflow3');
            }else{
                pre.addClass('textOverflow3');
            }
        })
        // 编辑指标评语字段
//         $('.commentcell').die('click').live('click',function(){
//             //打总分不能输入指标评语
//             if (_needScore == '3') {
//                 return;
//             }
//             var tabid = $(this).closest('table').attr('id');
//             var rowid = $(this).closest('tr').attr('id');
//             var rowData = $('#'+tabid).jqGrid('getOriginalRowData',rowid);
//             it.openCommentDialog(tabid,rowid,rowData);
//         })
        // 点击序号，查看指标其他字段
        $('.scoretabs tr').die('click').live('click',function(){
            var areaIndex = $(this).closest('table').attr('areaindex');
            var areadata = globalIndicatorData.rows.evaAreaList[areaIndex];
            var trIndex = $(this).index() - 1;
            var indicatorDatalist = areadata.evaIndicatorList || areadata.evaRecordList;
            var indicatorData = indicatorDatalist[trIndex];
            var isClosedPrev = $('.fieldsboxhide:visible').hasClass('small');
            indicatorData.areaType = areadata.areaType;
            indicatorData.scoringWay = areadata.scoringWay;
            indicatorData.fieldslist = it.getTargetData(areadata.fieldList, indicatorData);
            $('.fieldsboxhide').hide();
            if($(shr.xssFilter('.fieldsboxhide[indid="'+indicatorData.FID+'"]')).length > 0){
                // $('.fieldsboxhide[indid="'+indicatorData.FID+'"]').show();
                _thisbox =  $(shr.xssFilter('.fieldsboxhide[indid="'+indicatorData.FID+'"]'));
                if(_thisbox.find('.field-line').length > 0){
                    _thisbox.show();
                }
            }else{
                indicatorDetailHTML = juicer(indicatorDetailTpl, {rows:[indicatorData]});
                _thisbox = $(indicatorDetailHTML);
                if(_thisbox.find('.field-line').length > 0){
                    _thisbox.show();
                    $(indicatorDetailHTML).appendTo($('.indicator-box'));
                }
                $('.fieldsboxhide').css({
                    'height': $('.centercontainer').height() + 'px'
                })
                if(it.fixedboxWidth){
                    $('.fieldsboxhide').css({
                        'width': it.fixedboxWidth + 'px'
                    })
                }
                // if($('.fieldsboxhide:visible').find('.field-line').length == 0){
                //     $('.fieldsboxhide:visible').find('.emptywrap').show();
                // }
            }
            var isClosedCurr = $(shr.xssFilter('.fieldsboxhide[indid="'+indicatorData.FID+'"]')).hasClass('small');
            if(isClosedPrev){   // 其他信息是否展开控制
                if(!isClosedCurr){
                    $(shr.xssFilter('.fieldsboxhide[indid="'+indicatorData.FID+'"]')).addClass('small');
                }
                $('.centercontainer').addClass('big');
            }else{
                if(isClosedCurr){
                    $(shr.xssFilter('.fieldsboxhide[indid="'+indicatorData.FID+'"]')).removeClass('small');
                }
                $('.centercontainer').removeClass('big');
            }
            $('.scoretabs').each(function(index){
                var shrinkToFit = $(this).jqGrid('getGridParam','shrinkToFit');
                $(this).jqGrid('setGridWidth',$('.scoretabwrap').eq(0).width(),shrinkToFit);
            })
        })
        // 指标其他字段框控制按钮点击事件
        $('.fixedboxctrlbtn').die('click').live('click',function(){
            var fixedbox = $(this).closest('.fieldsboxhide');
            var centerbox = $('.centercontainer');
            if($(this).hasClass('isclose')){
                centerbox.removeClass('big');
                fixedbox.removeClass('small');
                $(this).removeClass('isclose');
            }else{
                centerbox.addClass('big');
                fixedbox.addClass('small');
                $(this).addClass('isclose');
            }
            $('.scoretabs').each(function(index){
                var shrinkToFit = $(this).jqGrid('getGridParam','shrinkToFit');
                $(this).jqGrid('setGridWidth',$('.scoretabwrap').eq(0).width(),shrinkToFit);
            })
        })

        it.bindDragEvent()

    },
    




/*
     * 保存打分
     * @param isShowMsg 是否展示提示信息
     * @param isEditGradesChange 是否下拉选引起的打分保存操作
     * */
doSaveScore: function (isShowMsg, isEditGradesChange) {
    if (_clicked) {
        return;
    }
    _clicked = true;
    //防止连击，设置过1s后点击才有效
    setTimeout(function () {
        _clicked = false;
    }, 1000);

    if (_noPassVerifyArr.length > 0) {
        shr.showWarning({message: _noPassVerifyArr[0].errortext});
        //自动点击第一条评分不通过的指标
        $("input[indicator='" + _noPassVerifyArr[0].indicator + "']").focus();
        return false;
    }
//
//        var canSubmit = false;
//        var isAsync = false;
    //组装评分数据
    //组装评分数据
    var scoreObj = that.assembleScoreData();
    if(!scoreObj){
        return false;
    }
    var ids = new Array();
    for (var i = 0; i < scoreObj.length; i++) {
        ids.push(scoreObj[i].gradeTaskNode);
    }

    if (scoreObj[0].targetValError) {
        shr.showError({
            //jsBizMultLan 请检查目标值值输入是否正确
            message :jsBizMultLan.perfweb_perfscoreNew_20210917ht_01,
            hideAfter: 3
        });
        return false;
    }
    if (scoreObj[0].actValError) {
        shr.showError({
            message : jsBizMultLan.perfweb_perfscoreNew_20210917ht_02,
            hideAfter: 3
        });
        return false;
    }
    if (scoreObj[0].desError) {
        shr.showError({
            message : shr.formatMsg(jsBizMultLan.perf_perfscoreNew_1586255739735_i18n_48,
        [2000]),
            hideAfter: 3
        });
        return false;
    }
    //1、判断节点是否可被提交
    that.remoteCall({
        method: "judgeIsCanSubmit",
        param: {
            gradeTaskNode: ids.toString(),
            evaObj: evaObj,
            scoreObj: JSON.stringify(scoreObj)
        },
        async: false,
        success: function (result) {
            for (var i = 0; i < scoreObj.length; i++) {
                for (var j = 0; j < result.length; j++) {
                    if (result[j].nodeId = scoreObj[i].gradeTaskNode) {
                        data = result[j];
                    }
                    if (data != null && data.canSubmit == true) {
                        //保存评分
                    } else {
                        if (isShowMsg == '1') {
                            shr.showWarning({message : jsBizMultLan.perf_perfscoreNew_1586255739735_i18n_11});
                        }
                        return false;
                    }
                }
            }

            that.remoteCall({
                method: "saveScore",
                param: {
                    needScore:_needScore,
                    scoreObj: JSON.stringify(scoreObj)
                },
                async: false,
                success: function (data) {
                    if (data != null && data.result == '200') {
                        if (_needScore == "3") {
                            shr.showInfo({message: $.perfwebI18n.commonMsg.msg3});
                            //window.location.reload();
                            //it.initLeftList();//左侧列表
                            $("li[workerid='" + evaObj + "']").removeClass("current");
                            $("li[workerid='" + evaObj + "']").click();
                            return;
                        }
                        //$("li[workerid='"+evaObj+"']").click();//指哪打哪
                        isFirstInit = 0;
                       /* if (isEditGradesChange != 1) {
                            it.initRightContent();//右侧内容
                        }*/

                        if (entryType == 'myview') {
                            $('.content_right').css({
                                'width': '100%',
                                'margin-right': '0'
                            });
                        } else if (entryType == 'myselfEvalu') {//个人目标评分入口
                            $('.content_right').css({
                                'width': '100%',
                                'margin-right': '0'
                            });
                        } else {//团队目标评分入口
                            $('.view_manager_body').css('background', '#EDEFF4');
                        }

                       // it.initPersonalInformation(); //评估对象个人信息
                        nodeSumScore = data.nodeSumScore;
                        nodeGrade = data.nodeGrade;
                        var sumScoreText = nodeSumScore;
                        var nodeGradeText = nodeGrade;
                        if (null != sumScoreText) {
                            if(data.gradetaskNode.length<2){
                                $("li[workerid='" + evaObj + "'][gradeTaskNode='" + gradeTaskNode + "']").find("i[name='nodeSumScore']").text(sumScoreText);
                                $("#totalScore").find("input").val(sumScoreText);
                            }
                            //TODO
                            //$("#totalScore").text(sumScoreText);
                        }
                       if (null != nodeGradeText) {
                            if(data.gradetaskNode.length<2){
                              for(var j=0; j<_gneedScoreArr.length;j++){
                                if(data.gradetaskNode == _gneedScoreArr[j].gradeTaskNode){
                                   _perfGradeEvaluate = _gneedScoreArr[j].perfGradeEvaluate;
                                   break;
                                }
                              }
                              if(_perfGradeEvaluate != 0){
                                  $("li[workerid='" + evaObj + "'][gradeTaskNode='" + gradeTaskNode + "']").find("i[name='nodeGrade']").text(nodeGradeText);
                              }
                                $("select[id='wholeGrade_" +gradeTaskNode+ "']").val(nodeGradeText);
                            }
                        }

                        // var nodeSumScoreList = data.nodeSumScoreList;
                        // var gtnLen = nodeSumScoreList.length;
                        // for(var i=0; i<gtnLen; i++){
                        //     var nsumscore = nodeSumScoreList[i].nodeSumscore ? parseFloat(nodeSumScoreList[i].nodeSumscore).toFixed(2) : '';
                        //     // if(null != nsumscore && "" != nsumscore){
                        //         $('#wholeComment').find('span[gtnname="'+nodeSumScoreList[i].gradeTaskNode+'"] input').val(nsumscore);
                        //         $("li[gradetasknode='" +nodeSumScoreList[i].gradeTaskNode+ "']").find("i[name='nodeSumScore']").text(nsumscore);
                        //     // }else{
                        //     // 	 //$('#wholeComment').find('span[gtnname="'+nodeSumScoreList[i].gradeTaskNode+'"]').val("");
                        //     // }
                        // }
                        
                        //第一节点隐藏"打回"按钮
                        if (currentNodeLevel == 1) {
                            $("#backTo").css("display", "none");
                        }
                        if (isShowMsg == '1') {
                            shr.showInfo({message: data.msg});
                        }
                    } else {
                        if (isShowMsg == '1') {
                            shr.showWarning({message: data.msg});
                        }
                    }
                }
            });
        }
    });
    if (scoreObj.wholeComment != null && scoreObj.wholeComment != undefined && scoreObj.wholeComment.length > 2000) {
        //shr.showWarning({message: '整体评价中的评价内容已超过最大长度2000个汉字，请重新输入！'});
        shr.showWarning({message :shr.formatMsg(jsBizMultLan.perf_perfscoreNew_1586255739735_i18n_53,[2000])});
    return false;
    }
},
















     
});

function getDefaultScoreData (gradeTaskNode,levelName){

    // var that = this;
    var scoreObj = that.assembleScoreData();
    if(!scoreObj && scoreObj[0] == null){
        return false;
    }
    let evaObjVal =scoreObj[0].evaObj;
    that.remoteCall({
        method: "getDefaultScore",
        param: {
            levelName:levelName,
            evaObjVal: evaObjVal
        },
        async: false,  //不能使用异步，下面要使用结果数据计算等级
        success: function (data) {
            if (data != null && data.default  ) {
                var newscore = data.default;
                calcTotoalScore_cus(gradeTaskNode,newscore);
                	 
            }
        }
    });



}


//计算总分
function calcTotoalScore_cus(startGradeTaskNode,newscore) {
    if (_noPassVerifyArr.length > 0) {
        // shr.showWarning({message: _noPassVerifyArr[0].errortext});
        // //自动点击第一条评分不通过的指标
        // $("li[numval='" + _noPassVerifyArr[0].indicator + "']").click();
        return false;
    }
    // $(lastTable).jqGrid("saveCell",lastrow,lastcell);
    $('.scoretabs').each(function(index,tab){
        $(tab).jqGrid('editStop');
    })
    var scoreObj = that.assembleScoreData();
    if(!scoreObj){
        return false;
    }
    //组装评分数据 二开 202412 改造
    scoreObj[0].sumScore = newscore;
    var nodeSumScoreList;
    //保存评分
    that.remoteCall({
        /* method: "calcTotalScore",
         param: {
             scoreObj: JSON.stringify(scoreObj)
         },*/
        method: "saveScore",
        param: {
            needScore:_needScore,
            scoreObj: JSON.stringify(scoreObj)
        },
        async: false,  //不能使用异步，下面要使用结果数据计算等级
        success: function (data) {
            if (data != null && data.result == '200') {
                nodeSumScore = data.nodeSumScore;
                nodeGrade = data.nodeGrade;
                matrixDetail = data.detail;
                nodeSumScoreList = data.nodeSumScoreList;
                var gtnLen = nodeSumScoreList.length;
                for(var i=0; i<gtnLen; i++){
                	// var nsumscore = nsumscore == "" ? nsumscore.toFixed(2) : '';
                	// if(null != nsumscore && "" != nsumscore){
                    //newscore转为数值类型
                    //newscore = parseFloat(newscore);
                    var newscore_num = newscore == "" ? newscore : Number(newscore);
                        nodeSumScoreList[i].nodeSumscore = newscore_num;
                        $('#wholeComment').find('span[gtnname="'+nodeSumScoreList[i].gradeTaskNode+'"] input').val(newscore_num);
                        $("li[gradetasknode='" +nodeSumScoreList[i].gradeTaskNode+ "']").find("i[name='nodeSumScore']").text(newscore_num);
                	// }else{
                	// 	 //$('#wholeComment').find('span[gtnname="'+nodeSumScoreList[i].gradeTaskNode+'"]').text("");
                	// }
                	var isVetoZero = nodeSumScoreList[i].isVetoZero;
                	if(isVetoZero == '1'){
                		$($('#wholeComment').find('span[gtnname="'+nodeSumScoreList[i].gradeTaskNode+'"]')).next().show();
                	}else{
                		$($('#wholeComment').find('span[gtnname="'+nodeSumScoreList[i].gradeTaskNode+'"]')).next().hide();
                	}
                	
                	if(nodeSumScoreList[i].nodeGrade){
                        $('[id="wholeGrade_' + nodeSumScoreList[i].gradeTaskNode+ '"]').find("option[id='" + nodeSumScoreList[i].nodeGrade + "']").attr("selected", "selected");
                        $("li[gradetasknode='" +nodeSumScoreList[i].gradeTaskNode+ "']").find("i[name='nodeGrade']").text(nodeSumScoreList[i].nodeGrade);
               	 	}
                }
            }
        }
    });
    /**
     * 自动计算等级
     */
    //202412 不自动计算等级 定制
    // var grade = $("#wholeComment").find("select").val();
    // if (isManualJudgeGrade == 2 || isManualJudgeGrade == 0) {
    //   //  var url = shr.getContextPath() + "/dynamic.do?handler=com.kingdee.shr.perfweb.portal.handler.PerfBatchScoreHandler&uipk="+shr.getUipk() +
    //  //       "&method=getLeaveByScore&shruicode="+shr.getUrlRequestParam("shruicode");
    //     if(nodeSumScoreList){
    //         for(var i=0; i< nodeSumScoreList.length; i++){
    //             that.remoteCall({
    //                 method: "getLeaveByScore",
    //                 async: false,
    //                 param: {
    //                     nodeSumScore: $('#wholeComment').find('span[gtnname="'+nodeSumScoreList[i].gradeTaskNode+'"] input').val(),
    //                     id: nodeSumScoreList[i].gradeTaskNode
    //                 },
    //                 //data: {"nodeSumScore":  $('#wholeComment').find('span[gtnname="'+nodeSumScoreList[i].gradeTaskNode+'"] input').val(), "id": nodeSumScoreList[i].gradeTaskNode},
    //                 success: function (data) {
    //                     //这里的结果类似 {data: "差E"}
    //                     console.log(data);
    //                     if (data.data) {
    //                         $("#wholeComment").find("select").find('option').attr('selected', false);
    //                         $("#wholeComment").find("[id='wholeGrade_"+nodeSumScoreList[i].gradeTaskNode+"']").find("option[value='" + data.data + "']").attr('selected', true);
    //                         //$("#wholeComment").find("select").val(data.data);
    //                         $('.workerList li.current').find("i[name='nodeGrade']").text(data.data);
    //                     }
    //                 }
    //             });
    //         }
    //     }else{
    //         that.remoteCall({
    //             method: "getLeaveByScore",
    //             async: false,
    //             param: {
    //                 nodeSumScore:  $('#wholeComment').find('span[gtnname="'+startGradeTaskNode+'"] input').val(),
    //                 id:gradeTaskNode
    //             },
    //             data: {"nodeSumScore":  $('#wholeComment').find('span[gtnname="'+startGradeTaskNode+'"] input').val(), "id": gradeTaskNode},
    //             success: function (data) {
    //                 //这里的结果类似 {data: "差E"}
    //                 console.log(data);
    //                 if (data.data) {
    //                     $("#wholeComment").find("select").find('option').attr('selected', false);
    //                     $("#wholeComment").find("[id='wholeGrade_"+gradeTaskNode+"']").find("option[value='" + data.data + "']").attr('selected', true);
    //                     //$("#wholeComment").find("select").val(data.data);
    //                     $('.workerList li.current').find("i[name='nodeGrade']").text(data.data);
    //                 }
    //             }
    //         });
    //     }

    // }
}




function  _checkScore    (evaObjVal,selectTitle,totalScoreVal) {
    // var _self = this;
    let issok = true;
 if( "" == selectTitle || undefined == totalScoreVal ){
     return issok;
 }
 that.remoteCall({
     method: "checkGradeHas",
     param: {
         levelName:selectTitle,
         scoreVal:totalScoreVal,
         evaObjVal: evaObjVal
     },
     async: false,  //不能使用异步，下面要使用结果数据计算等级
     success: function (data) {
         if (data != null && data.has != null  ) {
            issok =  data.has == 0 ? false : true;
         }
     },
     error:function(response){
         console.log(response);
    }
 });

 return issok;

}