package com.kingdee.shr.perfweb.portal.handler;

import java.util.HashMap;
import java.util.Map;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

 
import org.springframework.ui.ModelMap;

import com.kingdee.bos.Context;
import com.kingdee.bos.workflow.exception.biz.WfBizException;
import com.kingdee.eas.common.EASBizException;
import com.kingdee.shr.base.syssetting.context.SHRContext;
import com.kingdee.shr.base.syssetting.exception.SHRWebException;
import com.kingdee.shr.perfweb.app.exception.SHRPerfWebBizException;
import com.kingdee.shr.perfweb.portal.handler.PerfgoalsfillHandler;
import com.kingdee.shr.perfweb.utils.IndicatorUtils;
import com.kingdee.shr.perfweb.utils.IndicatorUtilsEx;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import com.kingdee.shr.base.syssetting.web.json.JSONUtils;

/**
 * 绩效填报拓展
 * @author coyle
 * 20250108
 */
public class PerfgoalsfillHandlerEx extends PerfgoalsfillHandler{
	private static Logger logger = LoggerFactory .getLogger(PerfgoalsfillHandlerEx.class);
	
	public void getIndicatorListAction(HttpServletRequest request, HttpServletResponse response, ModelMap modelMap)
			throws SHRWebException, EASBizException {
		Context ctx = SHRContext.getInstance().getContext();
		Map resultMap = new HashMap();
		try {
			String hrOrgUnit = request.getParameter("hrOrgUnit");
			request.setAttribute("hrOrgUnit", hrOrgUnit);
			String userAdminSQL = this.getCurrentRequestAdminOrgRangeSQL(request);
			request.setAttribute("userAdminSQL", userAdminSQL);
			resultMap = IndicatorUtilsEx.getIndicatorList(ctx, request);
		} catch (WfBizException var8) {
			logger.error("", var8);
			throw new SHRWebException(new SHRPerfWebBizException(SHRPerfWebBizException.GEINDECATORLIBERR));
		}
		JSONUtils.writeJson(response, resultMap);
	}

}
